%define libxrender %mklibname xrender 1
Name: libxrender
Summary:  X Render Library
Version: 0.9.7
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXrender-%{version}.tar.bz2
# (fc) disable Xrender on DMX (Mdk bug #19925)
Patch0: libXrender-0.9.1-dmx.patch
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Render Library

#-----------------------------------------------------------

%package -n %{libxrender}
Summary:  X Render Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxrender}
X Render Library

#-----------------------------------------------------------

%package -n %{libxrender}-devel
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxrender} = %{version}
Requires: x11-proto-devel >= 1.0.0
Requires: libx11-devel >= 1.0.0
Provides: libxrender-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxrender}-devel
Development files for %{name}

%files -n %{libxrender}-devel
%{_libdir}/libXrender.so
%{_libdir}/pkgconfig/xrender.pc
%{_includedir}/X11/extensions/Xrender.h
%dir %{_docdir}/libXrender
%{_docdir}/libXrender/*

#-----------------------------------------------------------

%package -n %{libxrender}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxrender}-devel = %{version}
Provides: libxrender-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxrender}-static-devel
Static development files for %{name}

%files -n %{libxrender}-static-devel
%{_libdir}/libXrender.a

#-----------------------------------------------------------

%prep
%setup -q -n libXrender-%{version}
%patch0 -p1 -b .dmx

%build
%configure2_5x	--enable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libxrender}
%{_libdir}/libXrender.so.1
%{_libdir}/libXrender.so.1.3.0


%changelog

* Fri Feb 08 2013 luigiwalser <luigiwalser> 0.9.7-3.mga3
+ Revision: 397175
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 0.9.7-2.mga3
+ Revision: 358629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 0.9.7-1.mga2
+ Revision: 222189
- rediff patch
- new release

* Mon Nov 21 2011 fwang <fwang> 0.9.6-2.mga2
+ Revision: 170305
- enable static
- drop .la files

* Wed Jan 12 2011 dmorgan <dmorgan> 0.9.6-1.mga1
+ Revision: 7285
- imported package libxrender

